Subject: RE: [Fwd: I-D ACTION:draft-iesg-info-exp-00.txt]

From: "Lars-Erik Jonsson \(LU/EAB\)" <[email-masked]>
Date: Fri, 27 May 2005 08:51:16 +0200

Ok, fair enough. What we probably should focus on is to make sure
document authors understand and know 2119 before they make use of
it as reference for keywords. I guess the reason some of us have
had strong feelings about 2119 usage in non-standards documents is
that the most extreme and absurd misuse of 2119 keywords have been
found in e.g. requirements documents.

But you are correct that 2119 misuse happens also in standards-track
documents, so the general solution is just to better follow up on
2119 usage, e.g. by explicitly checking with document editors that
they know 2119 well enough to make proper use of it.

/L-E

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Randy Presuhn
> Sent: den 26 maj 2005 20:02
> To: [email-masked]
> Subject: Re: [Fwd: I-D ACTION:draft-iesg-info-exp-00.txt]
> 
> 
> Hi -
> 
> I think there are cases where use of 2119 keywords is 
> perfectly appropriate
> in non-standards track documents, and, on occasion, even in 
> requirements
> documents.  Yes, there is the potential for misuse, but that 
> happens even in
> standards-track documents.
> 
> When an RFC 2119 SHOULD or MUST carries exactly the right meaning,
> why use something else?
> 
> Randy
> 
> 
> 
> 
>